commit:     240d98e15d42f67bc1625c793fd2046d5b3773ec
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 14:42:00 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 14:43:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=240d98e1

dev-python/humanize: bump to 2.5.0, add Python 3.9 support

Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/humanize/Manifest              |  1 +
 dev-python/humanize/humanize-2.5.0.ebuild | 36 +++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index a85145be7d1..6177519da1f 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1 +1,2 @@
 DIST humanize-2.4.1.tar.gz 46827 BLAKE2B 
e9b37283c5a4db1c5b2a9ef61919fe02a4e5720711129910e51b0b3481290c9bfa4e29225db75c37d83884c00065fa71b599ed42fac41414f481167d33091a98
 SHA512 
5d8534d2e97f375c7ec065dd239334a2a5da9d058f7c0312cb2683c3e42f5b8f99e117782e0888a6e5348f43958523df6609c294f5af7c971d81bd29679a0500
+DIST humanize-2.5.0.tar.gz 48126 BLAKE2B 
a0351352cacc53da2e45e9417963dd7fa5e06e568a2d8ee9c770b15dc9d977d27ba8419e9c18acb05093956a86fbed4379fe2004e73a2e1f8c99df3d80704170
 SHA512 
ffd8df6041108cdcc20dbad2b04e6e4d7ba010065574bb0c2f19a4bbb55687265a3f834223588f71825736737d8c710fa98f3549035369a90e385b92efea8ee1

diff --git a/dev-python/humanize/humanize-2.5.0.ebuild 
b/dev-python/humanize/humanize-2.5.0.ebuild
new file mode 100644
index 00000000000..6225e90488c
--- /dev/null
+++ b/dev-python/humanize/humanize-2.5.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
+# The package uses pkg_resources to determine its version
+DISTUTILS_USE_SETUPTOOLS=manual
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       # The package uses pkg_resources to determine its version
+       distutils_install_for_testing
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to